Subject: [bug#31531] [PATCH v2 3/9] gnu: monero: Update to 0.12.3.0.

From: Theodoros Foradis <[email-masked]>
Date: Sun, 15 Jul 2018 14:34:31 +0300

Hi,

Ludovic Courtès writes:

> Hi,
>
> Theodoros Foradis <[email-masked]> skribis:
>
>> * gnu/packages/patches/monero-use-system-miniupnpc.patch: New file.
>> * gnu/local.mk: Add it.
>> * gnu/packages/finance.scm (monero): Update to 0.12.3.0.
>> [source]: Add patch. Remove snippet because miniupnpc, rapidjson
>> and unbound are no longer bundled in-tree.
>> [inputs]: Add zeromq, cppzmq, libsodium. Use monero-miniupnpc.
>> [arguments]: Change build-type to "release".
>
> I get a hash mismatch for this one:
>
> --8<---------------cut here---------------start------------->8---
> Starting download of /gnu/store/38bbddhym990lywra0j53iggic53qndd-monero-0.12.3.0.tar.gz
> From https://github.com/monero-project/monero/archive/v0.12.3.0.tar.gz...
> following redirection to `https://codeload.github.com/monero-project/monero/tar.gz/v0.12.3.0'...
>  v0.12.3.0.tar.gz                            5.2MiB/s 00:02 | 8.0MiB transferred
> sha256 hash mismatch for output path `/gnu/store/38bbddhym990lywra0j53iggic53qndd-monero-0.12.3.0.tar.gz'
>   expected: 0wmz7g48cay0irmny5k87x4z834w07bpyvsbs9chygk9ch9kp8sw
>   actual:   05a85k1vphizm111np86arpd0rnvr6qdwq37awsll24myr7s7aq6
> @ build-failed /gnu/store/nm8hl473pvd0agrrwj2rj724wv7z66pf-monero-0.12.3.0.tar.gz.drv - 1 sha256 hash mismatch for output path `/gnu/store/38bbddhym990lywra0j53iggic53qndd-monero-0.12.3.0.tar.gz'
>   expected: 0wmz7g48cay0irmny5k87x4z834w07bpyvsbs9chygk9ch9kp8sw
>   actual:   05a85k1vphizm111np86arpd0rnvr6qdwq37awsll24myr7s7aq6
> cannot build derivation `/gnu/store/51pdrvrawv6ad41gw05q99pclnc1dnk8-monero-0.12.3.0.tar.xz.drv': 1 dependencies couldn't be built
> --8<---------------cut here---------------end--------------->8---
>
> Could you check if anything’s wrong?

The auto-generated tarball changed, and this is why I added the later
patch to use git-fetch. I forgot to update the hash prior to using
git-fetch, because I only tested with all patches applied.

So, the actual hash shown here is correct, we can either fix it in this
patch, or ignore it because it gets fixed in patch 7/9 anyway.

-- 
Theodoros Foradis